## org.apache.xpath.operations
Class Bool

    java.lang.Object
      |
      +--org.apache.xpath.Expression
            |
            +--org.apache.xpath.operations.UnaryOperation
                  |
                  +--org.apache.xpath.operations.Bool

public class Bool
extends UnaryOperation

The 'boolean()' operation expression executer.

See Also:
  Serialized Form

Constructor Summary
`Bool()`

Method Summary
`boolean` `bool(XPathContext xctxt)` Evaluate this operation directly to a boolean.
`XObject` `operate(XObject right)` Apply the operation to two operands, and return the result.

Methods inherited from class org.apache.xpath.operations.UnaryOperation
`callVisitors, canTraverseOutsideSubtree, deepEquals, execute, fixupVariables, getExpression, getOperand, setExpression, setRight`

Methods inherited from class org.apache.xpath.Expression
`asIterator, asIteratorRaw, asNode, assertion, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bool

    public Bool()

Method Detail

### operate

    public XObject operate(XObject right)
                    throws TransformerException

  Apply the operation to two operands, and return the result.
  Parameters:
    `right` - non-null reference to the evaluated right operand.
  Returns:
    non-null reference to the XObject that represents the result of the operation.
  Throws:
    TransformerException -
  Overrides:
    operate in class UnaryOperation

### bool

    public boolean bool(XPathContext xctxt)
                 throws TransformerException

  Evaluate this operation directly to a boolean.
  Parameters:
    `xctxt` - The runtime execution context.
  Returns:
    The result of the operation as a boolean.
  Throws:
    TransformerException -
  Overrides:
    bool in class Expression

Copyright © 2006 Apache XML Project. All Rights Reserved.